petsc-3.4.2 2013-07-02

# PetscIntStackPush

This function pushes an integer on the stack.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscIntStackPush(PetscIntStack stack, int item)

Not Collective

### Input Parameters

| stack | - The stack
| item | - The integer to push

### Keywords

log, stack, push

### See Also

PetscIntStackCreate(), PetscIntStackDestroy(), PetscIntStackEmpty(), PetscIntStackPop(), PetscIntStackTop()

Level:developer
Location:src/sys/logging/utils/stack.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages